Skip to main content

Create Applicant File: Yardi

POSThttps://api.propexo.com/v1/applicants/yardi/:applicant_id/file-upload

Attach a file to an Applicant.

InterfaceMethod
ILS Guest CardImportGuestDocumentExt
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

applicant_id stringrequired

The Propexo unique identifier for the applicant

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    attachment objectrequired

    The file to attach to the Applicant

    file_type_idstringrequired

    The Propexo unique identifier for the file type. The file type provided must be listed as being compatible with the Applicants model.

    file_datastringrequired

    Possible values: <= 66500000 characters

    file_extensionstringrequired

    The file extension for the attachment being uploaded

    Show 8 enum values
    pdfdocdocxxlsxlsxjpgjpegpng
    descriptionstringrequired

    A description of the file being uploaded

    should_upload_to_tenantboolean

    Determines if the file should be uploaded to the tenant page in Yardi. By default, it will be uploaded to the prospect page. If true, the file type must be associated with the residents data model.

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    applicant_idstringrequired

    The Propexo unique identifier for the applicant

    attachment objectrequired
    file_type_idstringrequired

    The Propexo unique identifier for the file type. The file type provided must be listed as being compatible with the Applicants model.

    file_datastring | nullnullable

    Possible values: <= 66500000 characters

    file_extensionstringrequired

    The file extension for the attachment being uploaded

    Show 8 enum values
    pdfdocdocxxlsxlsxjpgjpegpng
    descriptionstringrequired

    A description of the file being uploaded

    should_upload_to_tenantboolean

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/applicants/yardi/:applicant_id/file-upload
curl -X POST https://api.propexo.com/v1/applicants/yardi/:applicant_id/file-upload \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"attachment": {
"file_type_id": "string",
"file_data": "string",
"file_extension": "pdf",
"description": "string",
"should_upload_to_tenant": true
}
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"applicant_id": "string",
"attachment": {
"file_type_id": "string",
"file_data": "string",
"file_extension": "pdf",
"description": "string",
"should_upload_to_tenant": true
}
}
}